Bug 124866 - konsole: choosing 'new root console' does not run /etc/profile
konsole: choosing 'new root console' does not run /etc/profile
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-31 12:51 EDT by David Tonhofer
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2004-05-31 12:51:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)

Description of problem:
So, the title says it all actually. However, is it a bug
or a 'Working As Designed'? (Can you tell I have been working
with IBM ;-)

Actually, /etc/profile is never run, try any:

'New shell'
'New Linux Console'
'New Root Console'
'New Screen Session'

I do not pretend to understand the fine differences between the
above, unfortunately.

Here's the easiest way to test this:

Add this to /etc/profile

date > /tmp/profilerun.$$

Then you can 'echo $$' in your bash and check whether the
file with the correct processnumber has been created.

Maybe this is related to this bug:

...but again, GUI/terminal/shell interactions are currently out
of my league.

I noticed this because I do root-specific setup in /etc/profile,
like this:

if [ `id -u` = 0 ]; then
  pathmunge /sbin
  pathmunge /usr/sbin
  pathmunge /usr/local/sbin
  pathmunge /usr/local/postfix/sbin

...and the root's path did not include these.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add date > /tmp/profilerun.$$ to /etc/profile
2. Open another shell using konsole
3. Check whether profilerun.$$ exists

Actual Results:  /etc/profile has not bee run

Expected Results:  /etc/profile should have been run (IMHO)

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:01:17 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:50:09 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.